#include <iostream>
#include <tuple>
#include <string>

int main() {
    auto tuple1 = std::make_tuple(1, "Hello", 3.14);
    auto tuple2 = std::make_tuple(1, "World", 2.71);

    // Comparing tuples
    if (tuple1 < tuple2) {
        std::cout << "tuple1 is less than tuple2" << std::endl;
    } else {
        std::cout << "tuple1 is not less than tuple2" << std::endl;
    }

    // Concatenating tuples
    auto tuple3 = std::tuple_cat(tuple1, tuple2);
    std::cout << "Concatenated tuple size: " << std::tuple_size<decltype(tuple3)>::value << std::endl;

    // Using tuple_element to get type of an element
    using ThirdElementType = std::tuple_element<2, decltype(tuple1)>::type;
    ThirdElementType pi = std::get<2>(tuple1);
    std::cout << "Third element of tuple1: " << pi << std::endl;

    return 0;
}
